[问题]rpm安装缺少库文件怎么办

重复贴和参考价值不大的帖子,版主维护
回复
mtfxdd
帖子: 44
注册时间: 2007-12-16 1:54
送出感谢: 0
接收感谢: 0

[问题]rpm安装缺少库文件怎么办

#1

帖子 mtfxdd » 2008-03-13 13:52

本人菜鸟,因为怀念win版的金山词霸,找了好久才找到真的有linux版的,可惜是rpm格式的.
用rpm -ivh 安装时提示如下信息:
error: 依赖性检测失败:
/bin/sh 被 xdict-1.0.3-1.i386 所需要
libX11.so.6 被 xdict-1.0.3-1.i386 所需要
libXext.so.6 被 xdict-1.0.3-1.i386 所需要
libc.so.6 被 xdict-1.0.3-1.i386 所需要
libc.so.6(GLIBC_2.0) 被 xdict-1.0.3-1.i386 所需要
libc.so.6(GLIBC_2.1) 被 xdict-1.0.3-1.i386 所需要
libc.so.6(GLIBC_2.3) 被 xdict-1.0.3-1.i386 所需要
libgcc_s.so.1 被 xdict-1.0.3-1.i386 所需要
libm.so.6 被 xdict-1.0.3-1.i386 所需要
libm.so.6(GLIBC_2.0) 被 xdict-1.0.3-1.i386 所需要
libqt-mt.so.3 被 xdict-1.0.3-1.i386 所需要
libstdc++.so.5 被 xdict-1.0.3-1.i386 所需要
libstdc++.so.5(GLIBCPP_3.2) 被 xdict-1.0.3-1.i386 所需要


我随便搜了下发现libstdc++.so.5在/usr/lib里面是有的,可是它还是提示缺少这个文件.
请问该怎么办呢? 谢过了先.
头像
yaoms
帖子: 4953
注册时间: 2007-10-19 14:51
来自: 深圳
送出感谢: 0
接收感谢: 2 次

#2

帖子 yaoms » 2008-03-13 13:57

在论坛搜 “星际译王”

另,ubuntu中最好用源或者deb包安装程序。
Nothing 有事请发邮件到 yms541 AT gmail.com
alias 爱慕颇雷尔='mplayer'
yuan001
帖子: 271
注册时间: 2006-08-26 14:39
来自: nj
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 yuan001 » 2008-03-13 15:04

LZ还找了libX11.so.6,libc.so.6,libgcc_s.so.1 ,libm.so.6 ,libqt-mt.so.3 有没有啊,缺一个都不行。
这个就是rpm包的缺点,得自己去找库。
头像
dogfox
论坛版主
帖子: 5309
注册时间: 2006-09-02 14:18
来自: 汉桑城
送出感谢: 1 次
接收感谢: 1 次
联系:

#4

帖子 dogfox » 2008-03-13 15:23

fc高层曾表示今后他们逐渐让deb取代rpm
他们认为rpm是linux早期的产物,缺陷很多
全世界linux爱好者联合起来 !
一切闭源操作系统都是纸老虎 !
要斗私批修,拒绝黑屏,使用linux !
让一部分人先用起Archlinux来 !
linux是第一生产力 !
讲正气,讲开源,讲free
要坚定不移的走开源的道路 !
linux明天会更好 !

dpkg -l |grep ^rc|awk '{print $2}' |tr ["\n"] [" "]|sudo xargs dpkg -P -
ubuntu粉丝群 26660836 已满员
littleUbuntu
帖子: 1103
注册时间: 2006-10-19 9:02
送出感谢: 0
接收感谢: 0

#5

帖子 littleUbuntu » 2008-03-13 15:55

dogfox 写了:fc高层曾表示今后他们逐渐让deb取代rpm
他们认为rpm是linux早期的产物,缺陷很多


现在的linux已经没有当初严重的依赖问题了,最开始用rpm最郁闷,还没有自己编译速度快。
装一个软件要依赖n多,那n多的软件又要依赖n^2多,完全是级数增长,再加上互相依赖。
OMG,简直是要人命。不过现在已经没有那种问题了,现在采用linux的人太幸福了。
回复

回到 “归档贴”